# Copyright 2019 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# ARM NEON
- name: xnn_f32_raddstoreexpminusmax_ukernel__neon_rr2_lut64_p2_u4
- name: xnn_f32_raddstoreexpminusmax_ukernel__neon_rr2_lut64_p2_u8_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__neon_rr2_lut64_p2_u16_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__neon_rr2_lut64_p2_u16_acc4
- name: xnn_f32_raddstoreexpminusmax_ukernel__neon_rr2_p5_u4
- name: xnn_f32_raddstoreexpminusmax_ukernel__neon_rr2_p5_u8_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__neon_rr2_p5_u16_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__neon_rr2_p5_u16_acc4
- name: xnn_f32_raddstoreexpminusmax_ukernel__neonfma_rr1_lut64_p2_u4
- name: xnn_f32_raddstoreexpminusmax_ukernel__neonfma_rr1_lut64_p2_u8_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__neonfma_rr1_lut64_p2_u16_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__neonfma_rr1_lut64_p2_u16_acc4
- name: xnn_f32_raddstoreexpminusmax_ukernel__neonfma_rr1_p5_u4
- name: xnn_f32_raddstoreexpminusmax_ukernel__neonfma_rr1_p5_u8_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__neonfma_rr1_p5_u16_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__neonfma_rr1_p5_u16_acc4

# RISC-V Vector
- name: xnn_f32_raddstoreexpminusmax_ukernel__rvv_rr2_p6_u2v
- name: xnn_f32_raddstoreexpminusmax_ukernel__rvv_rr2_p6_u4v

# x86 SSE2
- name: xnn_f32_raddstoreexpminusmax_ukernel__sse2_rr2_p5_u4
- name: xnn_f32_raddstoreexpminusmax_ukernel__sse2_rr2_p5_u8_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__sse2_rr2_p5_u16_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__sse2_rr2_p5_u16_acc4

# x86 AVX2
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx2_rr1_p5_u8
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx2_rr1_p5_u16_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx2_rr1_p5_u32_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx2_rr1_p5_u32_acc4

- name: xnn_f32_raddstoreexpminusmax_ukernel__avx2_rr2_p5_u8
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx2_rr2_p5_u16_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx2_rr2_p5_u32_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx2_rr2_p5_u32_acc4

# x86 AVX256SKX
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx256skx_rr2_p5_u8
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx256skx_rr2_p5_u16_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx256skx_rr2_p5_u32_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx256skx_rr2_p5_u32_acc4

# x86 AVX512F
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx512f_rr1_p5_scalef_u16
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx512f_rr1_p5_scalef_u32_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx512f_rr1_p5_scalef_u64_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx512f_rr1_p5_scalef_u64_acc4

- name: xnn_f32_raddstoreexpminusmax_ukernel__avx512f_rr2_p5_u16
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx512f_rr2_p5_u32_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx512f_rr2_p5_u64_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__avx512f_rr2_p5_u64_acc4

# WAsm SIMD
- name: xnn_f32_raddstoreexpminusmax_ukernel__wasmsimd_rr2_p5_u4
- name: xnn_f32_raddstoreexpminusmax_ukernel__wasmsimd_rr2_p5_u8_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__wasmsimd_rr2_p5_u16_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__wasmsimd_rr2_p5_u16_acc4

# WAsm Relaxed SIMD
- name: xnn_f32_raddstoreexpminusmax_ukernel__wasmrelaxedsimd_rr2_p5_u4
- name: xnn_f32_raddstoreexpminusmax_ukernel__wasmrelaxedsimd_rr2_p5_u8_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__wasmrelaxedsimd_rr2_p5_u16_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__wasmrelaxedsimd_rr2_p5_u16_acc4

# Hexagon HVX
- name: xnn_f32_raddstoreexpminusmax_ukernel__hvx_rr2_p5_u32
- name: xnn_f32_raddstoreexpminusmax_ukernel__hvx_rr2_p5_u64_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__hvx_rr2_p5_u128_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__hvx_rr2_p5_u128_acc4

# Scalar
- name: xnn_f32_raddstoreexpminusmax_ukernel__scalar_rr2_lut64_p2_u1
- name: xnn_f32_raddstoreexpminusmax_ukernel__scalar_rr2_lut64_p2_u2_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__scalar_rr2_lut64_p2_u4_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__scalar_rr2_lut64_p2_u4_acc4
- name: xnn_f32_raddstoreexpminusmax_ukernel__scalar_rr2_p5_u1
- name: xnn_f32_raddstoreexpminusmax_ukernel__scalar_rr2_p5_u2_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__scalar_rr2_p5_u4_acc2
- name: xnn_f32_raddstoreexpminusmax_ukernel__scalar_rr2_p5_u4_acc4
